Subject: bug#450: autopkgtest: cannot build a testbed for LXC

From: Mark Hindley <[email-masked]>
Date: Sun, 10 May 2020 10:56:00 +0100

On Sun, May 10, 2020 at 06:23:10PM +0900, Ryutaroh Matsumoto wrote:
> Hi Mark, thanks again for your attention and response.
> 
> >> If Devuan project has no intention/plan to deploy CI, then autpkgtest and debci can be simply banned...
> > I just think nobody has provided the necessary autopkgtest templates.
> > Are you able to prepare them? I am not aware that we have anybody on teh dev
> > team who actively uses lxc.
> 
> I'm unsure, but at least I can try...

Thanks

> Do you think someone in Devuan project has interest in CI and/or
> autopkgtest all packages?

We currently use https://jenkins.devuan.dev for our package building. Sources
are in git. However, the vast majority of packages are used directly from Debian
by redirection. We only fork and compile sources that need modification. This is
significantly different from most (all?) other Debian derivatives.

> Automated continuous application of autopkgtest on all packages
> will sqeeze out unknown bugs in Devuan, but having a
> machine(s) running autopkgtest may be an obstacle.
> 
> I am happily using Google Cloud Platform Compute Engine
> with 640MB RAM and 30GB storage costing absolutely no money,
> but I strongly doubt if 640MB RAM and 30GB storage are
> enough for continuous autopkgtest...

Yes, I doubt that too. I am certainly not aware of anybody looking at this, but
if you are interested in it and think that would benefit, do come and get
involved implementing it.

Thanks.

Mark